The Hackerlab at `regexps.com`

## arch Commands in General

up: arch Meets hello-world next: Introducing Yourself to arch prev: System Requirements

Every command in `arch` is accessed via the program `tla` , using an ordinary sub-command syntax:

            % tla <sub-command> <options> <parameters>

A list of sub-commands can be obtained from:

            % tla help

A brief summary of the options to any command is given by:

            % tla <sub-command> -h

A more detailed help message for each command is given by:

            % tla <sub-command> -H

For example, try:

            % tla my-id -H
            print or change your id
            usage: tla my-id [options] [id]

              -h, --help     Display a help message and exit.
              -H             Display a verbose help message and exit.
              -V, --version  Display a release identifier string
                             and exit.
              -e, --errname  specify program name for errors
              -u, --uid      print only the UID portion of the ID

            With no argument print your arch id.

            With an argument, record ID-STRING as your id
            in ~/.arch-params/=id

            Your id is recorded in various archives and log messages
            as you use arch.  It must consist entirely of printable
            characters and fit on one line.  By convention, it should
            have the form of an email address, as in this example:

                    Jane Hacker <jane.hacker@gnu.org>

            The portion of an id string between < and > is called your
            uid.  arch sometimes uses your uid as a fragment when generating
            unique file names.

            The option -u (--uid) causes only the uid part of your id string
            to be printed.

There is a great deal of regularity among commands regarding option names and parameter syntax. Hopefully, you'll pick this up as you learn the various commands.

arch Meets hello-world: A Tutorial Introduction to The arch Revision Control System
The Hackerlab at `regexps.com`